

function onBegin()

    disableMovement()
    makeUnskippable ()

    local darkness = getDarkness ()
    while (true) do
        wait(0.01)
        darkness = darkness - 0.1
        setDarkness (darkness)
        if darkness < 0.1 then
            break
        end
    end

    wait(0.5)
    runTo (1170, true)

    wait(0.2)
    playSound("event:/WHE/WHE_door")
    wait(4)
    say("WHE_NaCline_F_03")

    runTo (1270, true)

    local darkness = getDarkness ()
    while (true) do
        wait(0.01)
        darkness = darkness + 0.1
        setDarkness (darkness)
        if darkness > 0.9 then
            break
        end
    end

    wait(0.3)
    teleportTo(1622, 3096, "sunset_03")

    enableMovement()
    endCutscene ()

end